#!/usr/bin/perl -w -I/vhffs/vhffs-api/src/


use strict;

use Data::Dumper;
use Vhffs::Conf;
use Vhffs::User;
use Vhffs::Group;
use Vhffs::Main;
use Vhffs::Object;
use Vhffs::Services::DNS;

my $config;
my $mysql_config;
my $services_config;
my $user;
my $dbh;
my $backend;
my %infos;
my $group;

my $princ = init Vhffs::Main;

$config = $princ->get_config;



if( $#ARGV != 0 )
{
        print "Error ! Exec this script as it : print_domain domain";
        print "Example : print_domain prout.com";
}

$user = new Vhffs::User( $princ , "sodalol" , 401) ;
$group = new Vhffs::Group( $princ , "sodalol" , 401) ;

my $dns = new Vhffs::Services::DNS( $princ , $ARGV[0] , $user , $group );

if( ! defined $dns )
{
	print "Error while creating the object";
	exit 0;
}

$dns->fetch;

use Data::Dumper;

print Dumper $dns;
